package market.Mes.Lengthwise.Plan.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Lengthwise.Plan.mapper.PlnMatReplaceLogMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PLN_MAT_REPLACE_LOG", namespace=PlnMatReplaceLogMapper.class)
public class PlnMatReplaceLog extends BaseVO implements Serializable {
	/**
	 * 	物料充当脱单履历表
	 */
	private static final long serialVersionUID = 8827223268608234749L;
	@Id
	//顺序号
	private long serial_no;
	public long  getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(long serial_no) {
		this.serial_no = serial_no;
	}

	@Column
	//物料号
	private String object_no;
	public String  getObject_no() {
		return this.object_no;
	}
	public void setObject_no(String object_no) {
		this.object_no = object_no;
	}

	@Column
	//产线
	private String pline_code;
	public String  getPline_code() {
		return this.pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	@Column
	//物料类型
	private String object_type;
	public String  getObject_type() {
		return this.object_type;
	}
	public void setObject_type(String object_type) {
		this.object_type = object_type;
	}

	@Column
	//操作类型: 0脱单 1充当
	private String opt_type;
	public String  getOpt_type() {
		return this.opt_type;
	}
	public void setOpt_type(String opt_type) {
		this.opt_type = opt_type;
	}

	@Column
	//操作时物料状态
	private String status;
	public String  getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	@Column
	//虚拟物料号
	private String object_no_vt;
	public String  getObject_no_vt() {
		return this.object_no_vt;
	}
	public void setObject_no_vt(String object_no_vt) {
		this.object_no_vt = object_no_vt;
	}

	@Column
	//订单行号
	private String order_no;
	public String  getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	@Column
	//生产订单号
	private String prod_order_no;
	public String  getProd_order_no() {
		return this.prod_order_no;
	}
	public void setProd_order_no(String prod_order_no) {
		this.prod_order_no = prod_order_no;
	}

	@Column
	//分条设计号
	private String lw_design_no;
	public String  getLw_design_no() {
		return this.lw_design_no;
	}
	public void setLw_design_no(String lw_design_no) {
		this.lw_design_no = lw_design_no;
	}

	@Column
	//横剪设计号
	private String cl_design_no;
	public String  getCl_design_no() {
		return this.cl_design_no;
	}
	public void setCl_design_no(String cl_design_no) {
		this.cl_design_no = cl_design_no;
	}

	@Column
	//轧制设计号
	private String rl_design_no;
	public String  getRl_design_no() {
		return this.rl_design_no;
	}
	public void setRl_design_no(String rl_design_no) {
		this.rl_design_no = rl_design_no;
	}

	@Column
	//分条计划号
	private String lw_plan_no;
	public String  getLw_plan_no() {
		return this.lw_plan_no;
	}
	public void setLw_plan_no(String lw_plan_no) {
		this.lw_plan_no = lw_plan_no;
	}

	@Column
	//横剪计划号
	private String cl_plan_no;
	public String  getCl_plan_no() {
		return this.cl_plan_no;
	}
	public void setCl_plan_no(String cl_plan_no) {
		this.cl_plan_no = cl_plan_no;
	}

	@Column
	//轧制计划号
	private String rl_plan_no;
	public String  getRl_plan_no() {
		return this.rl_plan_no;
	}
	public void setRl_plan_no(String rl_plan_no) {
		this.rl_plan_no = rl_plan_no;
	}

	@Column
	//操作人
	private String create_man_name;
	public String  getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//操作时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	private String remark;
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	@Column
	//罩退计划号
	private String an_plan_no;
	
	@Column
	//平整计划号
	private String sr_plan_no;

	
	@Column
	// 罩退设计号
	private String an_design_no;
	
	@Column
	// 平整设计号
	private String sr_design_no;
	
	@Column
	private String pc_design_no ; 
	public String getPc_design_no() {
		return pc_design_no;
	}

	public void setPc_design_no(String pc_design_no) {
		this.pc_design_no = pc_design_no;
	}

	
	@Column
	private String pc_plan_no ; 
	public String getPc_plan_no() {
		return pc_plan_no;
	}

	public void setPc_plan_no(String pc_plan_no) {
		this.pc_plan_no = pc_plan_no;
	}
	
	public String getAn_plan_no() {
		return an_plan_no;
	}
	public void setAn_plan_no(String an_plan_no) {
		this.an_plan_no = an_plan_no;
	}
	public String getSr_plan_no() {
		return sr_plan_no;
	}
	public void setSr_plan_no(String sr_plan_no) {
		this.sr_plan_no = sr_plan_no;
	}
	public String getAn_design_no() {
		return an_design_no;
	}
	public void setAn_design_no(String an_design_no) {
		this.an_design_no = an_design_no;
	}
	public String getSr_design_no() {
		return sr_design_no;
	}
	public void setSr_design_no(String sr_design_no) {
		this.sr_design_no = sr_design_no;
	}

	/**
	 * 操作工序
	 */
	@Column
	private String process;
	public String getProcess() {
		return process;
	}
	public void setProcess(String process) {
		this.process = process;
	}
	
	/**
	 * 脱单备注
	 */
	@Column
	private String memo;
	public String getMemo() {
		return memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
}
